Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class LQProductNode

    java.lang.Object
      unity.query.LQNode
          unity.query.LQProductNode

All Implemented Interfaces:
  LQTreeConstants

    public class LQProductNode

extends LQNode

Field Summary

Fields inherited from interface unity.query.LQTreeConstants
`ADD, AGGREGATEFUNCTION, AND, APPEND, ARITH_OP, ARITHMETICFUNCTION, AS_IDENTIFIER, AS_TABLE, BAG_DIFFERENCE, BAG_INTERSECTION, BAG_UNION, BigDecimal, COMPARISON_OP, CONDITION, CONSTANTEXPRESSION, CROSSPRODUCT, DIFFERENCE, DISTRIBUTEDJOIN, DUPLICATE_ELIMINATION, DYNAMICHASHJOIN, EARLYHASHJOIN, EARLYHASHJOIN_NOBUFFER, EXPRESSION, FILTER, FULLOUTERJOIN, FUNCTION, GROUPBY, HAVING, IDENTIFIER, IN, INNERJOIN, INTEGER, INTERSECTION, JOIN, LEFTOUTERJOIN, MATCHFUNCTION, MERGE, MERGEJOIN, MINIMUM_JOIN_BUFFER_SIZE, MULT, MULT_OP, NESTEDLOOPJOIN, NOT, OR, ORDERBY, PRODUCT, PROJECTION, REAL, RIGHTOUTERJOIN, SELECTION, SQLPATTERN, STRING, TABLE, TABLE_IDENTIFIER, UNION, UNKNOWN, XOR`

Constructor Summary
`LQProductNode()`

Method Summary
`Operator` | `buildOperator(Operator[] children)`
`java.lang.String` | `generateSQL()`
`int` | `numTuples()`
`java.lang.String` | `toString()`
`int` | `tupleSize()`

Methods inherited from class unity.query.LQNode
`addChild, clone, containsChild, getAllExprNodes, getChild, getChild, getChildren, getContent, getNumChildren, getOperator, getOutputRelation, getParent, getReference, getRequiredFields, getType, hasChildren, indexOfChild, print, removeChild, removeChild, removeChild, replaceChild, setChild, setContent, setMemorySizeTuples, setOperator, setParent, setReference, setType, stripDBAttr, stripDBTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LQProductNode

    public LQProductNode()

Method Detail

### generateSQL

    public java.lang.String generateSQL()

  Specified by:
    `generateSQL` in class `LQNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### buildOperator

    public Operator buildOperator(Operator[] children)

  Specified by:
    `buildOperator` in class `LQNode`

### numTuples

    public int numTuples()

  Overrides:
    `numTuples` in class `LQNode`

### tupleSize

    public int tupleSize()

  Overrides:
    `tupleSize` in class `LQNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD